Full attribution chain tree for one decision (tenant-isolated)
GET
/api/v1/attribution/chains/{decision_id}
const url = 'https://api.ultimateteam.ai/api/v1/attribution/chains/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/api/v1/attribution/chains/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'X-API-Key: <X-API-Key>'Return the full downstream chain tree for a decision.
Tenant-isolated: edges are filtered by the caller’s tenant_id at
the repository layer. If the decision has no chain edges, returns a
tree with empty edges and touchpoint_weights arrays (200 OK,
not 404). Phase 199 OAV-06.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”decision_id
required
Decision Id
string format: uuid
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response Get Attribution Chain Tree Api V1 Attribution Chains Decision Id Get
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}